GET Forms/GetAnalyticsFields?formTypeName={formTypeName}&formTypeFieldNameText={formTypeFieldNameText}&beginDate={beginDate}&endDate={endDate}
Retrieves form fields for the given parameters.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| formTypeName |
Name of the form to pull fields from |
string |
Required |
| formTypeFieldNameText |
Comma delimited list of desired fields |
string |
None. |
| beginDate |
Start of desired date range |
date |
None. |
| endDate |
End of desired date range |
date |
None. |
Body Parameters
None.
Response Information
Resource Description
On success, a list of form fields
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of AnalyticsForm |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "7ef60d14-eff9-45c1-8f1d-bebe9771708c",
"EffectiveDate": "2026-05-11T10:23:36.8283573-07:00",
"CreateUser": "sample string 1",
"AssetId": "164b45d9-45c4-478d-b3e4-085eb55d3a98",
"AssetName": "sample string 2",
"FormTypeName": "sample string 3",
"FormTypeDescription": "sample string 4",
"FormTypeFieldId": "78333b93-b47a-4161-9332-aebaf47671f2",
"FormTypeFieldName": "sample string 5",
"FormTypeFieldLabel": "sample string 6",
"FormTypeFieldDescription": "sample string 7",
"FormFieldValueId": "c9957bea-a4e4-480b-bfbc-a2cf81756427",
"ValueText": "sample string 8"
},
{
"FormId": "7ef60d14-eff9-45c1-8f1d-bebe9771708c",
"EffectiveDate": "2026-05-11T10:23:36.8283573-07:00",
"CreateUser": "sample string 1",
"AssetId": "164b45d9-45c4-478d-b3e4-085eb55d3a98",
"AssetName": "sample string 2",
"FormTypeName": "sample string 3",
"FormTypeDescription": "sample string 4",
"FormTypeFieldId": "78333b93-b47a-4161-9332-aebaf47671f2",
"FormTypeFieldName": "sample string 5",
"FormTypeFieldLabel": "sample string 6",
"FormTypeFieldDescription": "sample string 7",
"FormFieldValueId": "c9957bea-a4e4-480b-bfbc-a2cf81756427",
"ValueText": "sample string 8"
}
],
"Total": 1,
"Message": "sample string 1"
}